<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetObject Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetObject Method (IEdmVault5)

Visual Basic
C#
C++/CLI

eType
  Type of object to get as defined in EdmObjectType

lObjectID
  ID of object to get

Gets an interface to a SOLIDWORKS PDM Professional object of the specified type and having the specified ID.

# Syntax

Visual Basic |
--- | ---

    Function GetObject( _
       ByVal eType As EdmObjectType, _
       ByVal lObjectID As System.Integer _
    ) As IEdmObject5

C# |
--- | ---

    IEdmObject5 GetObject(
       EdmObjectType eType,
       System.int lObjectID
    )

C++/CLI |
--- | ---

    IEdmObject5^ GetObject(
    &   EdmObjectType eType,
    &   System.int lObjectID
    )

#### Parameters

eType
  Type of object to get as defined in EdmObjectType
lObjectID
  ID of object to get

#### Return Value

IEdmObject5

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

As of SOLIDWORKS PDM Professional 2008 you can call IEdmVault9::GetObjects to get interfaces to several objects at once, which is more efficient than calling this method multiple times.

C++ users must release the returned pointer, IEdmObject5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: The provided ID was not valid.
- E_EDM_PERMISSION_DENIED: The logged-in user does not have permission to see the requested object.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2